# Uses of Class
java.awt.MenuItem

Packages that use MenuItem
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of MenuItem in java.awt

Subclasses of MenuItem in java.awt
Modifier and Type
Class
Description
`class`
`CheckboxMenuItem`
This class represents a check box that can be included in a menu.
`class`
`Menu`
A `Menu` object is a pull-down menu component that is deployed from a menu bar.
`class`
`PopupMenu`
A class that implements a menu which can be dynamically popped up at a specified position within a component.
Methods in java.awt that return MenuItem
Modifier and Type
Method
Description
`MenuItem`
Menu.`add(MenuItem mi)`
Adds the specified menu item to this menu.
`MenuItem`
Menu.`getItem(int index)`
Gets the item located at the specified index of this menu.
`MenuItem`
MenuBar.`getShortcutMenuItem(MenuShortcut s)`
Gets the instance of `MenuItem` associated with the specified `MenuShortcut` object, or `null` if none of the menu items being managed by this menu bar is associated with the specified menu shortcut.
Methods in java.awt with parameters of type MenuItem
Modifier and Type
Method
Description
`MenuItem`
Menu.`add(MenuItem mi)`
Adds the specified menu item to this menu.
`void`
Menu.`insert(MenuItem menuitem, int index)`
Inserts a menu item into this menu at the specified position.